Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class Comparison

    java.lang.Object
      org.modeshape.graph.query.model.Comparison

All Implemented Interfaces:
  Serializable, Constraint, LanguageObject, Visitable

Direct Known Subclasses:
  JcrComparison

    @Immutable
    public class Comparison

extends Object
implements Constraint

A constraint that evaluates to true when the defined operation evaluates to true.

See Also:
  Serialized Form

Constructor Summary
`Comparison(DynamicOperand operand1, Operator operator, StaticOperand operand2)`

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`DynamicOperand` | `operand1()` Get the dynamic operand of this comparison.
`StaticOperand` | `operand2()` Get the dynamic operand of this comparison.
`Operator` | `operator()` Get the operator for this comparison
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Comparison

    public Comparison(DynamicOperand operand1,
                      Operator operator,
                      StaticOperand operand2)

Method Detail

### operand1

    public DynamicOperand operand1()

  Get the dynamic operand of this comparison.

  Returns:
    the dynamic operand; never null

### operand2

    public StaticOperand operand2()

  Get the dynamic operand of this comparison.

  Returns:
    the dynamic operand; never null

### operator

    public final Operator operator()

  Get the operator for this comparison

  Returns:
    the operator; never null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.